Package com.tibco.patterns.learn.api.feature

## Enum Thesaurus.Type

- java.lang.Object
- - java.lang.Enum<Thesaurus.Type>
  - - com.tibco.patterns.learn.api.feature.Thesaurus.Type

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Thesaurus.Type>`
  Enclosing class:
    Thesaurus

      public static enum Thesaurus.Type
      extends java.lang.Enum<Thesaurus.Type>

  The type of a thesaurus file.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMBINED` | Combined thesaurus.
    `SUBSTITUTION` | Substitution (simple) thesaurus.
    `WEIGHTED_TERM` | Weighted term dictionary.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Thesaurus.Type` | `fromString​(java.lang.String value)` |
    `static Thesaurus.Type` | `getDefault()` |
    `java.lang.String` | `typeName()` |
    `static java.util.List<java.lang.String>` | `typeNames()` |
    `static Thesaurus.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Thesaurus.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUBSTITUTION

          public static final Thesaurus.Type SUBSTITUTION

      Substitution (simple) thesaurus.

    - #### WEIGHTED_TERM

          public static final Thesaurus.Type WEIGHTED_TERM

      Weighted term dictionary.

    - #### COMBINED

          public static final Thesaurus.Type COMBINED

      Combined thesaurus.

  - ### Method Detail

    - #### values

          public static Thesaurus.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Thesaurus.Type c : Thesaurus.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Thesaurus.Type valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDefault

          public static Thesaurus.Type getDefault()

      Returns:
        the default thesaurus type.

    - #### typeNames

          public static java.util.List<java.lang.String> typeNames()

      Returns:
        all names of thesaurus types.

    - #### fromString

          public static Thesaurus.Type fromString​(java.lang.String value)

      Returns:
        thesaurus type for the given type name.
      Throws:
        `java.lang.IllegalArgumentException` - if the given type name is not found.

    - #### typeName

          public java.lang.String typeName()

      Returns:
        the human-readable name of this thesaurus type.